Setting Group-Creation Quota
| Chapter 13. Administering the Protection Database |

## Setting Group-Creation Quota

To prevent abuse of system resources, the Protection Server imposes a group-creation quota that limits how many more groups a user can create. When a new user entry is created, the quota is set to 20, but members of the system:administrators group can use the pts setfields command to increase or decrease it at any time.

It is pointless to change group-creation quota for machine or group entries. It is not possible to authenticate as a group or machine and then create groups.

To display the group-creation quota, use the pts examine command to display a user entry's `group quota field`, as described in To display a Protection Database entry.

### To set group-creation quota

1. Verify that you belong to the system:administrators group. If necessary, issue the pts membership command, which is fully described in To display the members of the system:administrators group.

          % pts membership system:administrators

2. Issue the pts setfields command to specify how many more groups each of one or more users can create.

         % pts setfields -nameorid <user or group name or id>+  \
                         -groupquota <set limit on group creation>

   where

   setf

     Is the shortest acceptable abbreviation of setfields.

   -nameorid

     Specifies the name or AFS UID of each user for which to set group-creation quota.

   -groupquota

     Defines how many groups each user can create in addition to existing groups (in other words, groups that already exist do not count against the quota). The value you specify overwrites the current value, rather than incrementing it.

Changing a Protection Database Entry's Name |  | Setting the Privacy Flags on Database Entries